
proc plan seed=120412;        /*指定种子数为120410，以便以后可以重现*/
factors rand=24 random;       /*产生随机排列的1-24的数*/
output out=outa;               /*将随机排列的24个数输出到数据集outa*/
data outb;                      /*建立数据集outb*/
set outa;                       /*用set语句将数据集outa中的数据导入outb*/
if rand<=8 then group='A';   
else if rand<=16 then group='B';
else group='C';
/*这部分是分组的关键，根据随机数的大小排序，然后平均分配。对于24例数据，指定1-8号分入A组，9-16号分入B组，17-24号分入C组*/
num=_n_;
/*产生变量num，其值等于数据的顺序号，也即研究对象的1-24的编号*/
proc print;                 /*将随机数字、分组标志、研究对象编号同时列出*/
run;
